Subject: [TLS] Re: [EXTERNAL] Re: WG Adoption Call for Post-Quantum Hybrid ECDHE-MLKEM Key Agreement for TLSv1.3
From: Mike Ounsworth <[email-masked]>
To: David Benjamin <[email-masked]>, Sean Turner <[email-masked]>
Cc: TLS List <[email-masked]>
Date: Wed, 26 Feb 2025 19:42:35 +0000
List-Id: "This is the mailing list for the Transport Layer Security working group of the IETF." <tls.ietf.org>

+1 to David.

---

Mike Ounsworth

From: David Benjamin <[email-masked]> 
Sent: Wednesday, February 26, 2025 12:57 PM
To: Sean Turner <[email-masked]>
Cc: TLS List <[email-masked]>
Subject: [EXTERNAL] [TLS] Re: WG Adoption Call for Post-Quantum Hybrid ECDHE-MLKEM Key Agreement for TLSv1.3

I support adoption. X25519MLKEM768 has already been widely deployed, and it is time for the standards track to catch up. David On Wed, Feb 26, 2025, 13: 35 Sean Turner <sean@ sn3rd. com> wrote: At IETF 121, the WG discussed “Post-Quantum

I support adoption. X25519MLKEM768 has already been widely deployed, and it is time for the standards track to catch up.

David

On Wed, Feb 26, 2025, 13:35 Sean Turner <[email-masked] <mailto:[email-masked]> > wrote:

At IETF 121, the WG discussed “Post-Quantum Hybrid ECDHE-MLKEM Key Agreement for TLSv1.3”; see [0] and [1]. We also had some discussion in an information gathering thread; see [2]. We would like to now determine whether there is support to adopt this I-D. If you support adoption and are willing to review and contribute text, please send a message to the list. If you do not support adoption of this I-D, please send a message to the list and indicate why. This WG adoption call will close at 2359 UTC on 12 March 2025.

One special note: this adoption call has nothing to do with picking the mandatory-to-implement cipher suites in TLS.

Thanks,
Sean & Joe

[0] Link to I-D: https://datatracker.ietf.org/doc/draft-kwiatkowski-tls-ecdhe-mlkem/ <https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-kwiatkowski-tls-ecdhe-mlkem/__;!!FJ-Y8qCqXTj2!dgQ5_7PihpkU6iQRftl_HwBMwp2Qaps8Prk222weOyvf80uPTmWqdeMpyltD70R52D-zpDNTVyN8bn92pPd6Mfik$> 
[1] Link to slides: https://datatracker.ietf.org/meeting/121/materials/slides-121-tls-post-quantum-hybrid-ecdhe-mlkem-key-agreement-for-tlsv13-00 <https://urldefense.com/v3/__https:/datatracker.ietf.org/meeting/121/materials/slides-121-tls-post-quantum-hybrid-ecdhe-mlkem-key-agreement-for-tlsv13-00__;!!FJ-Y8qCqXTj2!dgQ5_7PihpkU6iQRftl_HwBMwp2Qaps8Prk222weOyvf80uPTmWqdeMpyltD70R52D-zpDNTVyN8bn92pHVhuLYD$> 
[2] Link to information gather thread: https://mailarchive.ietf.org/arch/msg/tls/yGZV5dBTcxHJhG-JtfaP6beTd68/ <https://urldefense.com/v3/__https:/mailarchive.ietf.org/arch/msg/tls/yGZV5dBTcxHJhG-JtfaP6beTd68/__;!!FJ-Y8qCqXTj2!dgQ5_7PihpkU6iQRftl_HwBMwp2Qaps8Prk222weOyvf80uPTmWqdeMpyltD70R52D-zpDNTVyN8bn92pEgtzT-Q$> 
_______________________________________________
TLS mailing list -- [email-masked] <mailto:[email-masked]> 
To unsubscribe send an email to [email-masked] <mailto:[email-masked]>